--AH:ScriptId=a16588b2-4a08-43a8-b603-8592ee1b6644;3145
CREATE TABLE [VsixPackages]
(
	[Feed_Id] INT NOT NULL,
	[Package_Id] VARCHAR(100) NOT NULL,
	[Major_Number] INT NOT NULL,
	[Minor_Number] INT NOT NULL,
	[Build_Number] INT NOT NULL,
	[Revision_Number] INT NOT NULL,
	[Tags_Csv] NVARCHAR(100) NULL,
	[DisplayName_Text] NVARCHAR(100) NOT NULL,
	[Icon_Path] VARCHAR(100) NULL,
	[PreviewImage_Path] VARCHAR(100) NULL,
	[Author_Text] NVARCHAR(100) NULL,
	[Description_Text] NVARCHAR(1000) NULL,
	[Manifest_Bytes] VARBINARY(MAX) NOT NULL,
	[Download_Count] INT NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[Cached_Indicator] YNINDICATOR NOT NULL,
	[LastDownloaded_Date] DATETIME NULL,
	[PackageHash_Bytes] BINARY(20) NOT NULL,
	[Package_Size] BIGINT NOT NULL,

	CONSTRAINT [PK__VsixPackages]
		PRIMARY KEY ([Feed_Id], [Package_Id], [Major_Number], [Minor_Number], [Build_Number], [Revision_Number]),

	CONSTRAINT [FK__VsixPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)
GO

CREATE NONCLUSTERED INDEX [IX__VsixPackages__Published_Date]
	ON [VsixPackages] ([Published_Date] DESC)

GO

ALTER TABLE [Feeds]
	DROP CONSTRAINT [CK__Feeds__FeedType_Name]

GO

ALTER TABLE [Feeds]
	ADD CONSTRAINT [CK__Feeds__FeedType_Name]
		CHECK ([FeedType_Name] IN ('PowerShell', 'NuGet', 'Chocolatey', 'Deployment', 'npm', 'Bower', 'Maven', 'ProGet', 'Docker', 'RubyGems', 'VSIX'))

ALTER TABLE [Connectors]
	DROP CONSTRAINT [CK__Connectors__FeedType_Name]
GO

ALTER TABLE [Connectors]
	ADD CONSTRAINT [CK__Connectors__FeedType_Name]
		CHECK ([FeedType_Name] IN ('PowerShell', 'NuGet', 'Chocolatey', 'Deployment', 'npm', 'Bower', 'Maven', 'ProGet', 'Docker', 'RubyGems', 'VSIX'))