EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChunkedUploads_AddPart',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Records an uploaded part.'
GO

IF OBJECT_ID('[ChunkedUploads_AddPart]') IS NOT NULL DROP PROCEDURE [ChunkedUploads_AddPart]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [ChunkedUploads_AddPart]
(
	@Feed_Id INT,
	@Upload_Id VARCHAR(100),
	@Part_Index INT,
	@Part_Size BIGINT,
	@Completed_Date DATETIME
)
AS
BEGIN

SET NOCOUNT ON

	INSERT INTO [ChunkedUploadParts]
	(
		[Feed_Id],
		[Upload_Id],
		[Part_Index],
		[Part_Size],
		[Completed_Date]
	)
	VALUES
	(
		@Feed_Id,
		@Upload_Id,
		@Part_Index,
		@Part_Size,
		@Completed_Date
	)

END
GO

GRANT EXECUTE ON [ChunkedUploads_AddPart] TO [ProGetUser_Role]
GO