EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetTagsForImage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerRepositoryTags_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the tags which refer to the specified Docker image.'
GO

IF OBJECT_ID('[DockerImages_GetTagsForImage]') IS NOT NULL DROP PROCEDURE [DockerImages_GetTagsForImage]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetTagsForImage]
(
	@DockerImage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerRepositoryTags_Extended]
	 WHERE [DockerImage_Id] = @DockerImage_Id

END
GO

GRANT EXECUTE ON [DockerImages_GetTagsForImage] TO [ProGetUser_Role]
GO